Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037602
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2018-01-09 13:262018-01-22 15:21
ReporteravicenteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revisionf1a02a877c52
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037602: [SER QA 3654] Modify label 'PAID (On credit)' by 'TO BE PAID' and 'PAID (Partially on credit: XX)' by 'TO BE PAID (XX)'

DescriptionDue the to new functionality 'Prepayments' the labels 'PAID (On credit)' and 'PAID (Partially on credit: XX)' are not correct for all user cases.

The following changes are requested:
1. Change 'PAID (On credit)' by 'TO BE PAID'
2. Change 'PAID (Partially on credit: XX)' by 'TO BE PAID (XX)'
Steps To Reproduce1. Log into https://livebuilds.openbravo.com/retail_pi_pgsql [^]
2. In POS Terminal Type VBS POS Terminal Type set Allow Pay on Credit=Yes.
3. For the business partner Arturo Montoro set Credit Line Limit=1000.
4. Log into https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1 [^]
5. Create a ticket for Arturo Montoro
6. Pay the ticket click on the button Use Credit
7. Reopen the ticket. Check label is PAID (On Credit)

Same steps but making a partial payment in step 6 to see the label PAID (Partially on credit: XX)
Proposed Solution1. Change 'PAID (On credit)' by 'TO BE PAID'
2. Change 'PAID (Partially on credit: XX)' by 'TO BE PAID (XX)'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037698 closedalekosmp86 Printing an order paid on credit doesn't print payment info 

-  Notes
(0101787)
hgbot (developer)
2018-01-19 13:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f1a02a877c52f3ca716dda206a02ffd7471d6a6a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jan 19 17:38:15 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f1a02a877c52f3ca716dda206a02ffd7471d6a6a [^]

Fixed issue 37602 : Modified Paid on Credit labels

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0101788)
hgbot (developer)
2018-01-19 13:09

Repository: tools/automation/pi-mobile
Changeset: 18d10545e8c19ad4f73f89694776d7b7a2f7c316
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jan 19 17:38:53 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/18d10545e8c19ad4f73f89694776d7b7a2f7c316 [^]

Verifies issue 37602 : Modified test for changes in paid on credit labels

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I35955_CancelAndRplcFromCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentOnPartiallyPaidOnCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentPaidOnCreditWithCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/reversepayments/ReversePaymentWithCredit.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I31600_VerfiyPaidOnCredit.java
---
(0101847)
migueldejuana (developer)
2018-01-22 15:21

Tested and reviewed

- Issue History
Date Modified Username Field Change
2018-01-09 13:26 avicente New Issue
2018-01-09 13:26 avicente Assigned To => Retail
2018-01-09 13:26 avicente Triggers an Emergency Pack => No
2018-01-09 13:34 marvintm Severity major => minor
2018-01-18 11:09 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-01-18 11:09 ranjith_qualiantech_com Status new => scheduled
2018-01-19 13:08 hgbot Checkin
2018-01-19 13:08 hgbot Note Added: 0101787
2018-01-19 13:08 hgbot Status scheduled => resolved
2018-01-19 13:08 hgbot Resolution open => fixed
2018-01-19 13:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f1a02a877c52f3ca716dda206a02ffd7471d6a6a [^]
2018-01-19 13:09 hgbot Checkin
2018-01-19 13:09 hgbot Note Added: 0101788
2018-01-22 15:21 migueldejuana Review Assigned To => migueldejuana
2018-01-22 15:21 migueldejuana Note Added: 0101847
2018-01-22 15:21 migueldejuana Status resolved => closed
2018-01-22 15:21 migueldejuana Fixed in Version => RR18Q2
2018-01-22 15:26 migueldejuana Relationship added related to 0037698


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker